<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div class="search-filters">
  <app-search-filter
    (appValueChange)="addToSearchParams($event)"
    [appLoading]="statementLoading$ | async"
    [appStatementTypeOptions]="statementTypeOptions$ | async">
  </app-search-filter>
</div>

<app-statement-table
  (appSort)="sort($event?.label, $event?.direction)"
  [appColumns]="columns"
  [appEntries]="searchContent$ | async"
  [appIsSortable]="true"
  [appStatementTypeOptions]="statementTypeOptions$ | async"
  class="search-list">
</app-statement-table>

<app-pagination-counter
  (appPageChange)="changePage($event?.page, $event?.size)"
  [appDisabled]="statementLoading$ | async"
  [appPageSize]="(searchInfo$ | async)?.size"
  [appPage]="(searchInfo$ | async)?.currentPage"
  [appTotalPages]="(searchInfo$ | async)?.totalPages">
</app-pagination-counter>
